\copy origin_visit (origin, visit, date, status, metadata, snapshot_id) from program 'pigz -d < origin_visit.csv.gz' (format csv);
\copy origin (id, type, url) from program 'pigz -d < origin.csv.gz' (format csv);

\copy snapshot_branches (snapshot_id, branch_id) from program 'pigz -d < snapshot_branches.csv.gz' (format csv);
\copy snapshot_branch (object_id, name, target, target_type) from program 'pigz -d < snapshot_branch.csv.gz' (format csv);
\copy snapshot (object_id, id) from program 'pigz -d < snapshot.csv.gz' (format csv);

\copy release (id, target, date, date_offset, name, comment, author, target_type) from program 'pigz -d < release.csv.gz' (format csv);

\copy revision_history (id, parent_id, parent_rank) from program 'pigz -d < revision_history.csv.gz' (format csv);
\copy revision (id, date, date_offset, committer_date, committer_date_offset, type, directory, message, author, committer) from program 'pigz -d < revision.csv.gz' (format csv);

\copy person (id) from program 'pigz -d < person.csv.gz' (format csv);

\copy directory_entry_rev (id, target, name, perms) from program 'pigz -d < directory_entry_rev.csv.gz' (format csv);
\copy directory_entry_dir (id, target, name, perms) from program 'pigz -d < directory_entry_dir.csv.gz' (format csv);
\copy directory_entry_file (id, target, name, perms) from program 'pigz -d < directory_entry_file.csv.gz' (format csv);
\copy directory (id, dir_entries, file_entries, rev_entries) from program 'pigz -d < directory.csv.gz' (format csv);

\copy skipped_content (sha1, sha1_git, length) from program 'pigz -d < skipped_content.csv.gz' (format csv);
\copy content (sha1, sha1_git, length) from program 'pigz -d < content.csv.gz' (format csv);
